> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a report map

> Create a report map. Supports nested versions_attributes for creating the full hierarchy (versions, entries, parameter bindings) in one call.



## OpenAPI

````yaml POST /projects/{project_id}/report_maps
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/report_maps:
    post:
      summary: Create a report map
      description: >-
        Create a report map. Supports nested versions_attributes for creating
        the full hierarchy (versions, entries, parameter bindings) in one call.
      operationId: create-report-map
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
          description: Project ID
      requestBody:
        required: true
        content:
          application/json:
            examples:
              Simple:
                value:
                  report_map:
                    external_reference: rvt_1JPAZ9BWZSBXTBXS
                    quantification_methodology: Biomass Geological Storage
                    external_reference_metadata:
                      name: Biomass Geological Storage
              NestedHierarchy:
                value:
                  report_map:
                    external_reference: rvt_1JPAZ9BWZSBXTBXS
                    quantification_methodology: Biomass Geological Storage
                    versions_attributes:
                      - name: v1
                        entries_attributes:
                          - external_key: rtc_123.product_mass
                            metadata:
                              type: number
                              display_name: Mass of biomass stored
                            parameter_bindings_attributes:
                              - position: 1
                                data_point_type_slug: mass-of-co-captured
            schema:
              type: object
              properties:
                report_map:
                  type: object
                  required:
                    - external_reference
                  properties:
                    external_reference:
                      type: string
                    quantification_methodology:
                      type: string
                      description: Methodology name
                    external_reference_metadata:
                      type: object
                    versions_attributes:
                      type: array
                      description: Optional nested versions with entries and bindings
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                          entries_attributes:
                            type: array
                            items:
                              type: object
                              properties:
                                external_key:
                                  type: string
                                metadata:
                                  type: object
                                parameter_bindings_attributes:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      position:
                                        type: integer
                                      data_point_type_slug:
                                        type: string
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: rmp_abc123def456
                    project_id: prj_xyz789
                    external_reference: rvt_1JPAZ9BWZSBXTBXS
                    external_reference_metadata:
                      name: Biomass Geological Storage
                    quantification_methodology:
                      name: Biomass Geological Storage
                    created_at: '2026-01-15T10:00:00.000Z'
                    updated_at: '2026-01-15T10:00:00.000Z'
              schema:
                type: object
                properties:
                  id:
                    type: string
                  project_id:
                    type: string
                  external_reference:
                    type: string
                  external_reference_metadata:
                    type: object
                  quantification_methodology:
                    type: object
                    nullable: true
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
        '422':
          description: Validation error
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````